#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		bookvers	1.02
#-----------------------------------------------------------------------------
Name		:	gnuchess
Version		:	6.2.9
Release		:	16.2.0.rel%{?dist}
Summary		:	gnuchess

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	ftp://ftp.gnu.org/pub/gnu/chess/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	book-%{bookvers}.pgn.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	flex

#-----------------------------------------------------------------------------
%description
The gnuchess package contains the GNU chess program.  By default,
GNU chess uses a curses text-based interface.  Alternatively, GNU chess
can be used in conjunction with the xboard user interface and the X
Window System for play using a graphical chess board.
 
Install the gnuchess package if you would like to play chess on your
computer.  If you'd like to use a graphical interface with GNU chess,
you'll also need to install the gnome-chess package and the X Window System.

#-----------------------------------------------------------------------------
%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/* COPYING AUTHORS NEWS TODO README
%attr(2755,root,games) %{_bindir}/%{name}
%{_bindir}/%{name}u
%{_bindir}/%{name}x
%dir %{_var}/lib/games/%{name}
%attr(664,root,games) %{_var}/lib/games/%{name}/book-%{bookvers}.pgn
%{_datadir}/games/plugins/logos/%{name}.png
%{_datadir}/games/plugins/xboard/%{name}.eng
%{_datadir}/%{name}/%{name}.ini
%{_datadir}/%{name}/smallbook.bin
%{_datadir}/info/%{name}.info.gz
%{_mandir}/man1/%{name}.1.gz

#-----------------------------------------------------------------------------
%pre
#creating games group if needed
if ! getent group games > /dev/null ; then
  /usr/sbin/groupadd				\
	-K GID_MIN=50				\
	-K GID_MAX=99				\
	games
  fi

#installing chess book
%post
cd %{_var}/lib/games/%{name}
%{name} -a ./book-%{bookvers}.pgn > /dev/null < /dev/null
if [ ! $? = 0 ] ; then
  echo "Unable to build %{name} book-%{bookvers} binary"
  fi

#=============================================================================
%prep
%setup -q
gzip -dc %{SOURCE1} > book-%{bookvers}.pgn

#-----------------------------------------------------------------------------
#building application
%build

FLAGS="-O3 -ffast-math"					\
./configure						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--datadir=%{_datadir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir_p}						\
	%{buildroot}%{_var}/lib/games/%{name}
install -m 644 -p 					\
	book-%{bookvers}.pgn				\
	%{buildroot}%{_var}/lib/games/%{name}
install -m 644 						\
	src/gnuchess.ini				\
	%{buildroot}%{_datadir}/%{name}
 
#cleaning empty directory
%{__rm}  %{buildroot}/%{_datadir}/info/dir

%find_lang %{name} %{name}.lang
#-----------------------------------------------------------------------------
%changelog

